@if (adminReferentialDataService.loggedAsAdmin$ | async) {
  @if (componentData$ | async; as componentData) {
    <div class="full-height full-width overflow-hidden flex-column">
      <div class="admin-workspace-secondary-title">
        {{
          'sqtm-core.administration-workspace.system.settings.label' | translate
        }}
      </div>
      <div class="full-width full-height">
        <div class="full-width full-height p-r-15" style="overflow-y: auto">
          <nz-collapse [nzBordered]="false" class="entity-view-collapse-panel">
            <nz-collapse-panel [nzActive]="true" [nzHeader]="attachmentsTitle">
              <ng-template #attachmentsTitle>
                <div class="entity-view-collapse-panel-title">
                  {{
                    'sqtm-core.administration-workspace.system.settings.attachments.label'
                      | translate
                  }}
                </div>
              </ng-template>
              <sqtm-app-system-attachments-panel
                [componentData]="componentData"
              >
              </sqtm-app-system-attachments-panel>
            </nz-collapse-panel>
          </nz-collapse>
          <nz-collapse [nzBordered]="false" class="entity-view-collapse-panel">
            <nz-collapse-panel [nzActive]="true" [nzHeader]="callbackUrlTitle">
              <ng-template #callbackUrlTitle>
                <div class="entity-view-collapse-panel-title">
                  {{
                    'sqtm-core.administration-workspace.system.settings.callback-url.label'
                      | translate
                  }}
                </div>
              </ng-template>
              <sqtm-app-system-callback-url-panel
                [componentData]="componentData"
              >
              </sqtm-app-system-callback-url-panel>
            </nz-collapse-panel>
          </nz-collapse>
          @if (componentData.stackTracePanelIsVisible) {
            <nz-collapse
              [nzBordered]="false"
              class="entity-view-collapse-panel"
            >
              <nz-collapse-panel
                [nzActive]="true"
                [nzHeader]="stackTraceManagementTitle"
              >
                <ng-template #stackTraceManagementTitle>
                  <div class="entity-view-collapse-panel-title">
                    {{
                      'sqtm-core.administration-workspace.system.settings.stack-trace-management.label'
                        | translate
                    }}
                  </div>
                </ng-template>
                <sqtm-app-system-stack-trace-management-panel
                  [componentData]="componentData"
                >
                </sqtm-app-system-stack-trace-management-panel>
              </nz-collapse-panel>
            </nz-collapse>
          }
          <nz-collapse [nzBordered]="false" class="entity-view-collapse-panel">
            <nz-collapse-panel [nzActive]="true" [nzHeader]="autoconnectTitle">
              <ng-template #autoconnectTitle>
                <div class="entity-view-collapse-panel-title">
                  <span>
                    {{
                      'sqtm-core.administration-workspace.system.bugtracker-autoconnect.title'
                        | translate
                    }}
                  </span>
                </div>
              </ng-template>
              <sqtm-app-system-autoconnect-panel
                [componentData]="componentData"
              >
              </sqtm-app-system-autoconnect-panel>
            </nz-collapse-panel>
          </nz-collapse>
          <nz-collapse [nzBordered]="false" class="entity-view-collapse-panel">
            <nz-collapse-panel
              [nzActive]="true"
              [nzHeader]="caseInsensitiveLoginTitle"
            >
              <ng-template #caseInsensitiveLoginTitle>
                <div class="entity-view-collapse-panel-title">
                  {{
                    'sqtm-core.administration-workspace.system.settings.case-sensitivity.label'
                      | translate
                  }}
                </div>
              </ng-template>
              <sqtm-app-system-case-insensitive-login-panel
                [componentData]="componentData"
              >
              </sqtm-app-system-case-insensitive-login-panel>
            </nz-collapse-panel>
          </nz-collapse>
          <nz-collapse [nzBordered]="false" class="entity-view-collapse-panel">
            <nz-collapse-panel
              [nzActive]="true"
              [nzHeader]="milestoneDeactivationTitle"
            >
              <ng-template #milestoneDeactivationTitle>
                <div class="entity-view-collapse-panel-title">
                  {{
                    'sqtm-core.administration-workspace.system.settings.use-of-milestones.label'
                      | translate
                  }}
                </div>
              </ng-template>
              <sqtm-app-system-milestone-deactivation-panel
                [componentData]="componentData"
              >
              </sqtm-app-system-milestone-deactivation-panel>
            </nz-collapse-panel>
          </nz-collapse>
          <nz-collapse [nzBordered]="false" class="entity-view-collapse-panel">
            <nz-collapse-panel
              [nzActive]="true"
              [nzHeader]="automatedSearchActivationTitle"
            >
              <ng-template #automatedSearchActivationTitle>
                <div class="entity-view-collapse-panel-title">
                  {{
                    'sqtm-core.administration-workspace.system.settings.automated-search-activation.label'
                      | translate
                  }}
                </div>
              </ng-template>
              <sqtm-app-system-search-activation-panel
                [componentData]="componentData"
              >
              </sqtm-app-system-search-activation-panel>
            </nz-collapse-panel>
          </nz-collapse>
        </div>
      </div>
    </div>
  } @else {
    <sqtm-core-full-page-loading-icon></sqtm-core-full-page-loading-icon>
  }
}
